Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516883 - atomic package version in Fedora 26 (updates) is newer than the one in Fedora 27
Summary: atomic package version in Fedora 26 (updates) is newer than the one in Fedora 27
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: atomic
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-23 13:45 UTC by Jan Pazdziora
Modified: 2018-05-10 16:21 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-10 16:21:06 UTC


Attachments (Terms of Use)

Description Jan Pazdziora 2017-11-23 13:45:47 UTC
Description of problem:

The atomic package upgrade https://bodhi.fedoraproject.org/updates/FEDORA-2017-8abafad976 was pushed to stable updates, bringing atomic-1.20.1-1.fc26 to Fedora 26:

http://dl.fedoraproject.org/pub/fedora/linux/updates/26/x86_64/Packages/a/atomic-1.20.1-1.fc26.x86_64.rpm

However, Fedora 27 still has the older version atomic-1.19.1-1.fc27 at http://dl.fedoraproject.org/pub/fedora/linux/releases/27/Everything/x86_64/os/Packages/a/atomic-1.19.1-1.fc27.x86_64.rpm with no upgrade available at http://dl.fedoraproject.org/pub/fedora/linux/updates/27/x86_64/Packages/a/, presumably because https://bodhi.fedoraproject.org/updates/FEDORA-2017-021f49279e was made obsolete and thus not pushed.

Version-Release number of selected component (if applicable):

atomic-1.20.1-1.fc26.x86_64

How reproducible:

Observed today.

Steps to Reproduce:
1. On Fedora 26 do dnf install -y atomic-registries
2. On Fedora 27 do dnf install -y atomic-registries
3. Compare the version.

Actual results:

On Fedora 26, the version is newer.

Expected results:

The newer version should be on Fedora 27,

Additional info:

https://fedoraproject.org/wiki/Updates_Policy#Taskotron says that there should be some automated check

    The Taskotron automated testing system runs two tests against all
    updates submitted to Bodhi: a [...] and an upgrade path check
    (to ensure the update does not break the upgrade path from release
    to release, i.e. that the update does not contain a package versioned
    higher than the newest version of the same package available in
    a later Fedora release).

I'm not sure why this check did not kick in and prevented the push of https://bodhi.fedoraproject.org/updates/FEDORA-2017-8abafad976 when similar push did not happen on Fedora 27.

Comment 1 Brent Baude 2017-11-27 15:03:25 UTC
jan, can you take a peek at https://bodhi.fedoraproject.org/updates/FEDORA-2017-f6a5dd1d5e and perhaps give bodhi if it works for you?

Comment 2 Fedora End Of Life 2018-05-03 08:20:49 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Jan Pazdziora 2018-05-09 07:22:01 UTC
$ docker run --rm -ti fedora:26 dnf list atomic
Fedora 26 - x86_64 - Updates                     11 MB/s |  21 MB     00:01    
Fedora 26 - x86_64                              6.8 MB/s |  53 MB     00:07    
Last metadata expiration check: 0:00:06 ago on Wed May  9 07:20:27 2018.
Available Packages
atomic.x86_64                       1.20.1-9.fc26                        updates

$ docker run --rm -ti fedora:27 dnf list atomic
Fedora 27 - x86_64 - Updates                    5.6 MB/s |  23 MB     00:04    
Fedora 27 - x86_64                               13 MB/s |  58 MB     00:04    
Last metadata expiration check: 0:00:07 ago on Wed May  9 07:20:42 2018.
Available Packages
atomic.x86_64                       1.22.1-1.fc27                        updates

So it looks like this bugzilla could be closed with CURRENTRELEASE.


Note You need to log in before you can comment on or make changes to this bug.